All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Tempfilename Struct Reference

## Public Member Functions

| Tempfilename (const char *prefix=nullptr)
const char * | c_str ()
| Tempfilename (const char *prefix=nullptr)
const char * | c_str ()

## Public Attributes

std::string | filename

## Static Public Attributes

static pthread_mutex_t | mutex = PTHREAD_MUTEX_INITIALIZER

## Detailed Description

Copyright (c) 2015-present, Facebook, Inc. All rights reserved.

This source code is licensed under the BSD+Patents license found in the LICENSE file in the root directory of this source tree.

Definition at line 63 of file test_merge.cpp.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/tests/test_merge.cpp
- /data/users/matthijs/github_faiss/faiss/tests/test_ondisk_ivf.cpp